SUPYBOT-PLUGIN-DOC(1)

NAME
supybot-plugin-doc - Generates the documentation for a Supybot plugin

SYNOPSIS
supybot-plugin-doc [options]

DESCRIPTION
supybot-plugin-doc is used to generate documentation (StructuredText or reStructuredText format) for a supybot(1) plugin.

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-c, --clean
    Clean the various data/conf/log directories after generating the docs.

-o, --output-dir=OUTPUTDIR
    Specifies the directory in which to write the documentation for the plugin.

-f, --format=FORMAT
    Specifies which output format to use. Choices are 'rst' or 'stx'.

--plugins-dir=PLUGINSDIRS
    Looks in the given directory for plugins and generates documentation for all of them.

SEE ALSO
python(1), supybot(1), supybot-test(1), supybot-botchk(1), supybot-wizard(1), supybot-adduser(1), supybot-plugin-create(1)

AUTHOR
This manual page was originally written by James Vega <jamessan at supybot dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.